* {
    margin: 0;
    padding: 0;
}

.create-button{
    display: block;
    padding: 10px;
    border-radius: 10px;
    outline: none;
    cursor: pointer;
    margin: 30px auto;
}
.post {
    max-width: 500px;
    padding: 5px;
    border: 1px solid black;
    overflow: hidden;
    border-radius: 5px;
    margin: 10px auto;
}

.post__title {
    padding: 5px 5px 5px 30px;
    font-size: 25px;
    text-transform: capitalize;
}

.post__content {
    padding: 15px 5px;
    background-color: lightgrey;
    border-radius: 10px;
    margin: 10px 5px 15px;
    overflow: hidden;
    white-space: pre;
    text-align: center;
}

.post__author {
    text-align: right;
}

.post__author_name {
    padding: 5px;
    font-weight: bold;
}

.post__email {
    padding: 5px;
    font-size: 12px;
    color: grey;
}

.post__edit, .post__remove {
    cursor: pointer;
    padding: 5px;
    border-radius: 5px;
    background-color: lightgrey;
    color: grey;
}

.post__edit:hover, .post__remove:hover {
    text-decoration: underline;
    color: black;
}

.post__footer {
    padding: 5px 30px;
    color: grey;
    font-size: 12px;
    display: flex;
    justify-content: space-between;
}

.modal {
    width: 30em;
    height: 40em;
    border-radius: 20px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.modal-bg {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-title{
    width: 20em;
    height: 3em;
    font-size: 20px;
    font-weight: bold;
    border-radius: 20px;
    outline: none;
    border: none;
    box-shadow: 0 0 5px 1px grey;
    padding-left: 10px;
    padding-right: 10px;
    overflow-x: auto;
    white-space: pre-line;
}
.modal-title:focus{
    box-shadow: 0 0 5px 5px grey;
}
.modal-body{
    width: 18em;
    height:10em;
    border-radius: 20px;
    outline: none;
    border: none;
    box-shadow: 0 0 5px 1px grey;
    text-indent: 30px;
    font-size: 20px;
    resize: none;
    padding: 1em
}

.modal-body:focus{
    box-shadow: 0 0 5px 5px grey;
}
